# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.youtube
Class YouTubeService.Versions

    java.lang.Object
      com.google.gdata.client.youtube.YouTubeService.Versions

Enclosing class:
  YouTubeService

    public static class YouTubeService.Versions

extends java.lang.Object

All released version of the YouTube API.

Field Summary
`static Version[]` `ALL`
`static Version` `LATEST` A shortcut to the latest version.
`static Version` `V1` Initial version of the API, based on GData version 1.
`static Version` `V2` Newer version of the API, based on GData version 2.

Constructor Summary
`YouTubeService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Initial version of the API, based on GData version 1.

### V2

    public static final Version V2

  Newer version of the API, based on GData version 2.

### LATEST

    public static final Version LATEST

  A shortcut to the latest version.

### ALL

    public static final Version[] ALL

Constructor Detail

### YouTubeService.Versions

    public YouTubeService.Versions()